Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine.gui.model
Class IncrementParameter

    java.lang.Object
      uchicago.src.sim.engine.gui.model.DataParameter
          uchicago.src.sim.engine.gui.model.IncrementParameter

    public class IncrementParameter

extends DataParameter

Author:
  wes maciorowski

Field Summary

Fields inherited from class uchicago.src.sim.engine.gui.model.DataParameter
`lineSeparator`

Constructor Summary
`IncrementParameter(int runs, java.lang.String name, java.lang.String dataType, boolean input, java.lang.Object start, java.lang.Object end, java.lang.Object increment)`

Method Summary
`java.lang.Object` | `getEnd()`
`java.lang.Object` | `getIncrement()`
`java.lang.Object` | `getStart()`
`void` | `setEnd(java.lang.Object end)`
`void` | `setIncrement(java.lang.Object increment)`
`void` | `setStart(java.lang.Object start)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXMLCloseString()`
`java.lang.String` | `toXMLOpenString()`

Methods inherited from class uchicago.src.sim.engine.gui.model.DataParameter
`getDataType, getIOString, getName, getNestedParameters, getRuns, isInput, setDataType, setInput, setName, setRuns, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncrementParameter

    public IncrementParameter(int runs,
                              java.lang.String name,
                              java.lang.String dataType,
                              boolean input,
                              java.lang.Object start,
                              java.lang.Object end,
                              java.lang.Object increment)

Parameters:
  `runs` -
  `name` -
  `dataType` -
  `input` -

Method Detail

### setEnd

    public void setEnd(java.lang.Object end)

  Parameters:
    `end` - The end to set.

### getEnd

    public java.lang.Object getEnd()

  Returns:
    Returns the end.

### setIncrement

    public void setIncrement(java.lang.Object increment)

  Parameters:
    `increment` - The increment to set.

### getIncrement

    public java.lang.Object getIncrement()

  Returns:
    Returns the increment.

### setStart

    public void setStart(java.lang.Object start)

  Parameters:
    `start` - The start to set.

### getStart

    public java.lang.Object getStart()

  Returns:
    Returns the start.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DataParameter`

### toXMLOpenString

    public java.lang.String toXMLOpenString()

  Overrides:
    `toXMLOpenString` in class `DataParameter`

### toXMLCloseString

    public java.lang.String toXMLCloseString()

  Overrides:
    `toXMLCloseString` in class `DataParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD